<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: util.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>util.h</h1><a href="util_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00012"></a>00012 <span class="preprocessor">#ifndef UTIL_H</span>
<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="preprocessor">#define UTIL_H</span>
<a name="l00014"></a>00014 <span class="preprocessor"></span>
<a name="l00015"></a>00015 <span class="preprocessor">#include &lt;stdexcept&gt;</span>
<a name="l00016"></a>00016 <span class="preprocessor">#include &lt;string&gt;</span>
<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;iostream&gt;</span>
<a name="l00018"></a>00018 
<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;ft2build.h&gt;</span>
<a name="l00020"></a>00020 <span class="preprocessor">#include FT_FREETYPE_H</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;freetype/ftglyph.h&gt;</span>
<a name="l00022"></a>00022 
<a name="l00023"></a>00023 std::ostream&amp; <a class="code" href="drawGlyph_8cpp.html#ca74f0c6f59d6fad2e99ef62f016793f">operator&lt;&lt;</a>(std::ostream&amp;, <span class="keyword">const</span> FT_Library);
<a name="l00024"></a>00024 std::ostream&amp; <a class="code" href="drawGlyph_8cpp.html#ca74f0c6f59d6fad2e99ef62f016793f">operator&lt;&lt;</a>(std::ostream&amp;, <span class="keyword">const</span> FT_Face);
<a name="l00025"></a>00025 std::ostream&amp; <a class="code" href="drawGlyph_8cpp.html#ca74f0c6f59d6fad2e99ef62f016793f">operator&lt;&lt;</a>(std::ostream&amp;, <span class="keyword">const</span> FT_Glyph);
<a name="l00026"></a>00026 std::ostream&amp; <a class="code" href="drawGlyph_8cpp.html#ca74f0c6f59d6fad2e99ef62f016793f">operator&lt;&lt;</a>(std::ostream&amp;, <span class="keyword">const</span> FT_Outline);
<a name="l00027"></a>00027 
<a name="l00030"></a><a class="code" href="util_8h.html#f93950be23413442be8c8d99e54f6688">00030</a> <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="util_8h.html#f93950be23413442be8c8d99e54f6688" title="Converts a freetype return code into an exception.">evalReturnCode</a>(<span class="keyword">const</span> <span class="keywordtype">int</span> errCode, <span class="keyword">const</span> <span class="keywordtype">char</span>* funcName) <span class="keywordflow">throw</span> (std::runtime_error) {
<a name="l00031"></a>00031   <span class="keywordflow">if</span> (errCode)
<a name="l00032"></a>00032     <span class="keywordflow">throw</span> std::runtime_error(std::string(<span class="stringliteral">"Error returned from "</span>) + funcName);
<a name="l00033"></a>00033 }
<a name="l00034"></a>00034 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
